Skip to main content
POST
/
v1
/
environments
Create environment
curl --request POST \
  --url https://api.agentmark.co/v1/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "api_key_creation_url": "<string>",
    "created_at": "<string>",
    "created_by_id": "<string>",
    "current_commit_sha": "<string>",
    "current_version": 1,
    "epoch": 123,
    "fly_app_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_default": true,
    "latest_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Body

application/json
name
string
required

Response

Environment created and Fly app provisioned.

data
object
required